summaryrefslogtreecommitdiffstats
path: root/ci/build-freebsd.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 20:36:56 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 20:36:56 +0000
commit51de1d8436100f725f3576aefa24a2bd2057bc28 (patch)
treec6d1d5264b6d40a8d7ca34129f36b7d61e188af3 /ci/build-freebsd.sh
parentInitial commit. (diff)
downloadmpv-51de1d8436100f725f3576aefa24a2bd2057bc28.tar.xz
mpv-51de1d8436100f725f3576aefa24a2bd2057bc28.zip
Adding upstream version 0.37.0.upstream/0.37.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'ci/build-freebsd.sh')
-rwxr-xr-xci/build-freebsd.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/ci/build-freebsd.sh b/ci/build-freebsd.sh
new file mode 100755
index 0000000..bc68a25
--- /dev/null
+++ b/ci/build-freebsd.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+export CFLAGS="$CFLAGS -isystem/usr/local/include"
+export CXXFLAGS="$CXXFLAGS -isystem/usr/local/include"
+export LDFLAGS="$LDFLAGS -L/usr/local/lib"
+
+meson setup build \
+ --werror \
+ -Dlibplacebo:werror=false \
+ -Dc_args="-Wno-error=deprecated -Wno-error=deprecated-declarations" \
+ -Diconv=disabled \
+ -Dlibmpv=true \
+ -Dlua=enabled \
+ -Degl-drm=enabled \
+ -Dopenal=enabled \
+ -Dsndio=enabled \
+ -Dtests=true \
+ -Dvdpau=enabled \
+ -Dvulkan=enabled \
+ -Doss-audio=enabled \
+ $(pkg info -q v4l_compat && echo -Ddvbin=enabled) \
+ $(pkg info -q libdvdnav && echo -Ddvdnav=enabled) \
+ $(pkg info -q libcdio-paranoia && echo -Dcdda=enabled) \
+ $(pkg info -q pipewire && echo -Dpipewire=enabled) \
+ $NULL
+
+meson compile -C build
+./build/mpv -v --no-config